## ark 17.04.3

=== debian/changelog ===
ark (4:17.04.3-0ubuntu3) artful; urgency=medium

  * Add 'unzip' to testsuite depends

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Aug 2017 12:02:37 +0100

ark (4:17.04.3-0ubuntu2) artful; urgency=medium

  * d/p: Add upstream_use_qtest_main_in_batchextracttest.patch to
    address similar failure on ubuntu autotests

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 Aug 2017 14:10:07 +0100

ark (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add pkg-config and libzip-dev to Build-Depends
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:58 +0100

## ark 17.08.3

=== debian/changelog ===
ark (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #882257)

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 21:00:04 +0100

ark (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Drop upstream patch
  * Update uploaders list as requested by MIA team (Closes: #879291)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - remove .so symlinks
    - drop ark.install, and not-installed, no more useful now
  * Remove unused transitional kdoctools-dev, and kio-dev build dependencies.
  * Explicitly add gettext, and pkg-config as build dependencies.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 13:50:04 +0100

ark (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:49 +0000

ark (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:16 +0000

ark (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:26 +0000

ark (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:02:46 +0000

ark (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:00 +0000

ark (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

ark (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:22 +0000

ark (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

ark (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:48 +0000

ark (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

ark (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:09 +0000

ark (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:56 +0000

ark (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:05 +0000

ark (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:45 +0000

ark (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:38 +0000

ark (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:39 +0000

ark (4:16.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 May 2016 14:26:16 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libarchive-dev (>= 3.2.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               liblzma-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.0~),
               zlib1g-dev,
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ark.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: kde-l10n-ast (<< 4:17.03.90-0~),
        kde-l10n-eo (<< 4:17.03.90-0~),
        ${kde-l10n:all},
Replaces: kde-l10n-ast (<< 4:17.03.90-0~),
          kde-l10n-eo (<< 4:17.03.90-0~),
          ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(ark VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION 5.6.0)
set(KF5_MIN_VERSION 5.37.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

add_definitions(-DQT_NO_CAST_FROM_ASCII
                -DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KERFUFFLE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Concurrent
    Core
    Gui
    Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
                                                        Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        I18n
                                                        IconThemes
                                                        ItemModels
                                                        KIO
                                                        Service
                                                        Parts
                                                        Pty
                                                        WidgetsAddons)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)

if(NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(LibArchive 3.2.0 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "http://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

find_package(LibZip 1.3.0)
set_package_properties(LibZip PROPERTIES
                       URL "https://nih.at/libzip/"
                       DESCRIPTION "A library for handling zip archives"
                       PURPOSE "Optional for zip archives.")

find_package(SharedMimeInfo QUIET)
set_package_properties(SharedMimeInfo PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for archive formats without an official mimetype.")


option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if (WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif (WITH_TEST_COVERAGE)

set(SUPPORTED_ARK_MIMETYPES "")

add_definitions(-DTRANSLATION_DOMAIN="ark")

add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

install( FILES ark.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ark (4:17.12.3-0ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: maliciously crafted TAR archive with symlinks can
    install files outside the extraction directory. (LP: #1893465)
    - 002-CVE-2020-24654-tar-symlinks-outside-extraction-directory.patch
    - CVE-2020-24654
    - Thanks to Fabian Vogt for reporting this issue and for fixing it.

 -- vishnunaini <vishnu@vishnunaini.com>  Fri, 28 Aug 2020 22:12:54 +0530

ark (4:17.12.3-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Ark: maliciously crafted archive can install
    files outside the extraction directory.
    - 001-maliciously-crafted-archive-can-install-files-outside-the-extraction-directory.patch
    - CVE-2020-16116
    - Thanks to Dominik Penner for finding and reporting this issue and
      thanks to Elvis Angelaccio and Albert Astals Cid for fixing it.

 -- v.naini <vishnu@vishnunaini.com>  Thu, 30 Jul 2020 23:10:55 +0530

ark (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:06 +0000

ark (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:15 +0000

ark (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 18:08:30 +0100

ark (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:30 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libarchive-dev (>= 3.0.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               liblzma-dev,
               libqjson-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, unzip
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ark-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ark-([\d.]+).tar.xz

## ark 18.04.1

=== debian/changelog ===
ark (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Thu, 31 May 2018 00:43:04 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38.0~),
               gettext,
               libarchive-dev (>= 3.2.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5doctools-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5itemmodels-dev (>= 5.38.0~),
               libkf5khtml-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5parts-dev (>= 5.38.0~),
               libkf5pty-dev (>= 5.38.0~),
               libkf5service-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               liblzma-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: kde-l10n-ast (<< 4:17.03.90-0~),
        kde-l10n-eo (<< 4:17.03.90-0~),
        ${kde-l10n:all},
Replaces: kde-l10n-ast (<< 4:17.03.90-0~),
          kde-l10n-eo (<< 4:17.03.90-0~),
          ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='ark-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	$(overridden_command)
	find debian/ark -name '*.so' -type l -delete

override_dh_auto_test:
	# Disable auto tests at build time
	:

## ark 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required (VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 project(ark VERSION ${KDE_APPLICATIONS_VERSION})
 
 set(QT_MIN_VERSION 5.6.0)
-set(KF5_MIN_VERSION 5.37.0)
+set(KF5_MIN_VERSION 5.38.0)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -71,12 +71,6 @@
                        DESCRIPTION "A library for handling zip archives"
                        PURPOSE "Optional for zip archives.")
 
-find_package(SharedMimeInfo QUIET)
-set_package_properties(SharedMimeInfo PROPERTIES
-                       TYPE OPTIONAL
-                       PURPOSE "Required for archive formats without an official mimetype.")
-
-
 option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
 if (WITH_TEST_COVERAGE)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")

=== debian/changelog ===
ark (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update lintian overrides
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:11 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libarchive-dev (>= 3.0.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               liblzma-dev,
               libqjson-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 18.08.3

=== plugins/libzipplugin/CMakeLists.txt ===
include_directories(${LibZip_INCLUDE_DIRS})

set(SUPPORTED_LIBZIP_MIMETYPES "application/zip;")

set(INSTALLED_LIBZIP_PLUGINS "")

set(kerfuffle_libzip_SRCS libzipplugin.cpp ark_debug.cpp)

ecm_qt_declare_logging_category(kerfuffle_libzip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.libzip)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES "application/zip")

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES
                       URL "http://www.zlib.net/"
                       DESCRIPTION "The Zlib compression library"
                       PURPOSE "Required for integrity check in libzip plugin")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libzip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libzip.json)

kerfuffle_add_plugin(kerfuffle_libzip ${kerfuffle_libzip_SRCS})

target_link_libraries(kerfuffle_libzip KF5::KIOCore ${LibZip_LIBRARIES} ${ZLIB_LIBRARIES})

set(INSTALLED_LIBZIP_PLUGINS "${INSTALLED_LIBZIP_PLUGINS}kerfuffle_libzip;")

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBZIP_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBZIP_PLUGINS}" PARENT_SCOPE)

=== debian/changelog ===
ark (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Pino Toscano ]
  * New upstream release.
  * Add the kinit dependency, so KIO slaves work. (Closes: #907430)
  * Remove the manual kde-l10n-ast, and kde-l10n-eo breaks/replaces, as they
    are already part of ${kde-l10n:all}.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Disable the build of unit tests, since they are not run anyway.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Nov 2018 20:18:46 +0100

## ark 18.08.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 project(ark VERSION ${KDE_APPLICATIONS_VERSION})
@@ -23,6 +23,11 @@
 
 add_definitions(-DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_URL_CAST_FROM_STRING)
+
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX ARK

=== plugins/libsinglefileplugin/CMakeLists.txt ===
set(kerfuffle_singlefile_SRCS singlefileplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_singlefile_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.singlefile)

set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "")
set(INSTALLED_LIBSINGLEFILE_PLUGINS "")

# This MIME type was originally set in ark.desktop but is does not
# seem to be supported anywhere.  Assuming that, if it were supported,
# it would be here.
set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-compress;")

#
# GZip files
#
find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
                       URL "http://www.zlib.net/"
                       DESCRIPTION "The Zlib compression library"
                       PURPOSE "Required for .gz format support in Ark")

if (ZLIB_FOUND)
    set(kerfuffle_libgz_SRCS gzplugin.cpp ${kerfuffle_singlefile_SRCS})
    set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/gzip;")

    set(SUPPORTED_MIMETYPES "application/gzip")

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libgz.json.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libgz.json)

    kerfuffle_add_plugin(kerfuffle_libgz ${kerfuffle_libgz_SRCS})
    target_link_libraries(kerfuffle_libgz KF5::Archive)

    set(INSTALLED_LIBSINGLEFILE_PLUGINS "${INSTALLED_LIBSINGLEFILE_PLUGINS}kerfuffle_libgz;")
endif (ZLIB_FOUND)

#
# Bzip2 files
#
find_package(BZip2)
set_package_properties(BZip2 PROPERTIES
                       URL "https://sourceware.org/bzip2/"
                       DESCRIPTION "The Bzip2 compression library"
                       PURPOSE "Required for .bz2 format support in Ark")

if (BZIP2_FOUND)
	set(kerfuffle_libbz2_SRCS bz2plugin.cpp ${kerfuffle_singlefile_SRCS})
	set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-bzip;")

    set(SUPPORTED_MIMETYPES "application/x-bzip")

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libbz2.json.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libbz2.json)

    kerfuffle_add_plugin(kerfuffle_libbz2 ${kerfuffle_libbz2_SRCS})
    target_link_libraries(kerfuffle_libbz2 KF5::Archive)

    set(INSTALLED_LIBSINGLEFILE_PLUGINS "${INSTALLED_LIBSINGLEFILE_PLUGINS}kerfuffle_libbz2;")
endif (BZIP2_FOUND)

#
# LZMA files
#
find_package(LibLZMA)
set_package_properties(LibLZMA PROPERTIES
                       URL "http://tukaani.org/xz/"
                       DESCRIPTION "A LZMA compression library"
                       PURPOSE "Required for .xz and .lzma format support in Ark")

if (LIBLZMA_FOUND)
	set(kerfuffle_libxz_SRCS xzplugin.cpp ${kerfuffle_singlefile_SRCS})
	set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-lzma;application/x-xz;")

    # NOTE: the first double-quotes of the first mime and the last
    # double-quotes of the last mime must NOT be escaped.
    set(SUPPORTED_MIMETYPES
        "application/x-lzma\",
        \"application/x-xz")

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libxz.json.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libxz.json)

    kerfuffle_add_plugin(kerfuffle_libxz ${kerfuffle_libxz_SRCS})
    target_link_libraries(kerfuffle_libxz KF5::Archive)

    set(INSTALLED_LIBSINGLEFILE_PLUGINS "${INSTALLED_LIBSINGLEFILE_PLUGINS}kerfuffle_libxz;")
endif (LIBLZMA_FOUND)

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBSINGLEFILE_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBSINGLEFILE_PLUGINS}" PARENT_SCOPE)

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
+
+override_dh_auto_configure:
+	$(overridden_command) -- -DBUILD_TESTING=OFF
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='ark-dbg (<= 4:15.12.1-1~~)'

## ark 18.12.3

=== debian/changelog ===
ark (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:23:55 +0000

ark (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:24 +0000

ark (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:10 +0000

ark (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:45:56 +0000

ark (4:18.08.3-1ubuntu2) disco; urgency=medium

  * Build with libzip support now that the version in the archive is new
    enough.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 27 Dec 2018 07:38:33 +0000

ark (4:18.08.3-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~, to suit Ubuntu
      version history.
    - debian/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Nov 2018 19:25:14 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38.0~),
               gettext,
               libarchive-dev (>= 3.2.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5doctools-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5itemmodels-dev (>= 5.38.0~),
               libkf5khtml-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5parts-dev (>= 5.38.0~),
               libkf5pty-dev (>= 5.38.0~),
               libkf5service-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               liblzma-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.0~),
               zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}, kinit
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-4~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## ark 19.04.3

=== debian/changelog ===
ark (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff to fix FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 16 Aug 2019 13:11:03 +0100

ark (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:38 +0100

ark (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:57:44 +0100

ark (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:53:43 +0100

ark (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 25 Apr 2019 18:31:46 +0100

## ark 19.12.0

=== debian/changelog ===
ark (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jan 2020 21:35:52 +0100

ark (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.8.0
    - bump the KF5 packages to 5.44.0
    - drop libkf5khtml-dev, no more needed
    - add libzip-dev, and shared-mime-info
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from ark-dbg, no more needed after two Debian stable
    releases.
  * Unregister ark.categories as conffile, as it is no more in /etc.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Sep 2019 23:38:55 +0200
